/*
* Copyright © 2010 Red Hat, Inc.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*           http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

package com.redhat.rhevm.api.powershell.model;

import java.util.List;
import com.redhat.rhevm.api.powershell.util.PowerShellParser;

public class PowerShellSystemStats {

    public long totalVms, activeVms;
    public long totalHosts, activeHosts;
    public long totalUsers, activeUsers;
    public long totalStorageDomains, activeStorageDomains;

    public static PowerShellSystemStats parse(PowerShellParser parser, String output) {
        PowerShellSystemStats stats = new PowerShellSystemStats();

        List<PowerShellParser.Entity> entities = parser.parse(output);
        if (entities.size() > 0) {
            PowerShellParser.Entity entity = entities.get(0);

            stats.totalVms = entity.get("totalvms", Integer.class);
            stats.activeVms = entity.get("activevms", Integer.class);
            stats.totalHosts = entity.get("totalhosts", Integer.class);
            stats.activeHosts = entity.get("activehosts", Integer.class);
            stats.totalUsers = entity.get("totalusers", Integer.class);
            stats.activeUsers = entity.get("activeusers", Integer.class);
            stats.totalStorageDomains = entity.get("totalstoragedomains", Integer.class);
            stats.activeStorageDomains = entity.get("activestoragedomains", Integer.class);
        }

        return stats;
    }
}
